array_combine
array_diff_assoc
Array Functions
PHP Manual

# array_count_values

Counts all the values of an array

### Description

array array_count_values ( array `$array` )

array_count_values returns an array using the values of `array` as keys and their frequency in `array` as values.

### Parameters

`array`

  The array of values to count

### Return Values

Returns an associative array of values from `array` as keys and their count as value.

### Errors/Exceptions

Throws `E_WARNING` for every element which is not string or integer.

### Examples

Example #1 array_count_values example

`<?php
$array = array(1, "hello", 1, "world", "hello");
print_r(array_count_values($array));
?>`

The above example will output:

    Array
    (
        [1] => 2
        [hello] => 2
        [world] => 1
    )

### See Also

- count
- array_unique
- array_values
- count_chars